Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util.finder
Class ClassFinder.FieldInfo

    java.lang.Object
      com.opensymphony.xwork2.util.finder.ClassFinder.Annotatable
          com.opensymphony.xwork2.util.finder.ClassFinder.FieldInfo

All Implemented Interfaces:
  ClassFinder.Info

Enclosing interface:
  ClassFinder

    public static class ClassFinder.FieldInfo

extends ClassFinder.Annotatable
implements ClassFinder.Info

Constructor Summary
`ClassFinder.FieldInfo(ClassFinder.ClassInfo info, Field field)`
`ClassFinder.FieldInfo(ClassFinder.ClassInfo declaringClass, String name, String type)`

Method Summary
`ClassFinder.ClassInfo` | `getDeclaringClass()`
`String` | `getName()`
`String` | `getType()`
`String` | `toString()`

Methods inherited from class com.opensymphony.xwork2.util.finder.ClassFinder.Annotatable
`getAnnotations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.opensymphony.xwork2.util.finder.ClassFinder.Info
`getAnnotations`

Constructor Detail

### ClassFinder.FieldInfo

    public ClassFinder.FieldInfo(ClassFinder.ClassInfo info,
                                 Field field)

### ClassFinder.FieldInfo

    public ClassFinder.FieldInfo(ClassFinder.ClassInfo declaringClass,
                                 String name,
                                 String type)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `ClassFinder.Info`

### getDeclaringClass

    public ClassFinder.ClassInfo getDeclaringClass()

### getType

    public String getType()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.